## opendnssec 1.1.3

=== debian/changelog ===
opendnssec (1.1.3-3) unstable; urgency=high

  * Don't rebuild *.rng files, take them from upstream
    + This should fix FTBFS on kfreebsd-amd64.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Dec 2010 10:31:16 +0100

opendnssec (1.1.3-2) unstable; urgency=high

  * Reorder unsetting permission and deleting the user account
    (Closes: #604042)
  * Fix insecure PYTHONPATH (Closes: #605161)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Nov 2010 12:15:58 +0100

opendnssec (1.1.3-1) unstable; urgency=high

  * New upstream version
  * Fix for grave (causes data loss) upstream bug #183:
    + Partial zone could get signed if zone transfer failed when using
      zone_fetcher (http://trac.opendnssec.org/ticket/183)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Sep 2010 14:43:16 +0200

opendnssec (1.1.2-2) unstable; urgency=low

  * Return an error if unknown argument is fed to ods-control

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Sep 2010 11:05:33 +0200

opendnssec (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Remove manpage patches, merged upstream
  * Tighten build and runtime dependencies due upstream changes
   + ldns (>= 1.6.6~)
   + libdns-rub (>= 1.49~)
  * Improve init.d script to kill enforcer by name and not just pidfile

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Aug 2010 14:17:42 +0200

opendnssec (1.1.1-2) unstable; urgency=low

  * Don't build libhsm twice for sqlite3/mysql
  * Apply directory fixes in common directory as well
  * Remove all pregenerated config.h before building
    + This fixes bad paths in binaries
  * Install common scripts (ods-control) and man pages
  * Fix signerd init.d script by adding missing d in pidfile (Closes: #592791)
  * Add some useful linker flags to not link unneccessary libraries
  * Fix ods-timing.5 manpage

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Aug 2010 15:25:40 +0200

opendnssec (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Merge debian packaging into one big tarball per upstream request
  * Bump Standards version to 3.9.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 11:30:23 +0200

opendnssec-auditor (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 May 2010 12:17:53 +0200

opendnssec-auditor (1.0.0-2) unstable; urgency=low

  * Removed debian/patches, merged upstream
  * Add some Recommends and Suggests

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Apr 2010 12:02:36 +0200

opendnssec-auditor (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Mar 2010 19:45:34 +0100

opendnssec-auditor (1.0.0~rc3.dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #566980)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Jan 2010 23:16:31 +0100

opendnssec-conf (1.1.0.dfsg-2) unstable; urgency=low

  * Refreshed patches to 1.1.0.dfsg
  * Update dependencies to install libhsm-bin

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Jun 2010 20:04:07 +0200

opendnssec-conf (1.1.0.dfsg-1) unstable; urgency=low

  * New upstream release.
  
 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 May 2010 12:26:53 +0200

opendnssec-conf (1.0.0.dfsg-2) unstable; urgency=low

  * Rebuild RNG files only when recent jing-trang is installed.
  * Set homedir of opendnssec user to /var/lib/opendnssec
  * Move softhsm from Recommends to Suggests

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Apr 2010 11:36:02 +0200

opendnssec-conf (1.0.0.dfsg-1) unstable; urgency=low

  * Remove trang/ directory altogether
  * Enable regression testing
  * Comment out example zone in signconf.xml after regression testing
  * Recreate RNG files on build using system trang

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Apr 2010 14:21:14 +0200

opendnssec-conf (1.0.0-2) unstable; urgency=low

  * Rename opendnssec-conf to opendnssec-common
  * Add opendnssec meta-package

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Apr 2010 13:46:11 +0200

opendnssec-conf (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #567008)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jan 2010 15:58:43 +0100

opendnssec-enforcer (1.1.0-2) unstable; urgency=low

  * Fix dependencies on OpenDNSSEC 1.1.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jun 2010 22:02:55 +0200

opendnssec-enforcer (1.1.0-1) unstable; urgency=low

  * New upstream release 1.1.0
  * debian/patches/* updated to 1.1.0
    + Updated patches to 1.1.0
    + Update patch to create localstatedir from configure
  * debian/rules
    + Adapt to a new database backend option
    + Removed piddir after build
  * Remove libksm traces from debian/ directory

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Jun 2010 19:48:30 +0200

opendnssec-enforcer (1.0.0-7) unstable; urgency=low

  * Fix missing $ in init script. (Closes: #580264)
  * Cleanup dependency hell by creating virtual opendnssec-enforcer-
    backend package. (Closes: #578877)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 May 2010 12:20:53 +0200

opendnssec-enforcer (1.0.0-6) unstable; urgency=low

  * loosen dependency on libtool 2.2
  * Fix typo in init.d script. (Closes: #578521)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Apr 2010 11:57:17 +0200

opendnssec-enforcer (1.0.0-5) unstable; urgency=low

  * Add debian/watch file
  * Remove common/config.h to allow inclusion of build dependant one

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Apr 2010 08:44:51 +0200

opendnssec-enforcer (1.0.0-4) unstable; urgency=low

  * Add init script for opendnssec-enforcer
  * Remove boilerplate template from README.source
  * Add some Recommends and Suggests
  * Add comment about permissions needed to use softhsm to README.Debian

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Apr 2010 11:44:16 +0200

opendnssec-enforcer (1.0.0-3) unstable; urgency=low

  * Add sqlite3 and mysql-client dependencies to
    opendnssec-enforcer-{sqlite3,mysql} packages

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Apr 2010 19:39:50 +0200


