## opendnssec 1.3.0

=== debian/changelog ===
opendnssec (1.3.0-1ubuntu1) oneiric-proposed; urgency=low

  * Backport from Debian:
    - Replace Unicode dashes with ASCII dashes in dpkg-maintscript-helper
      invocations so that opendnssec-enforcer-mysql is installable
      (LP: #884515).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 18:37:34 +0000

opendnssec (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0
  * Update dependency from libdns-ruby to ruby-dnsruby
  * opensc-pkcs11.so is now located in /usr/lib/pkcs11/ in package
    opensc (Closes: #632448)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2011 08:41:10 +0200

opendnssec (1.3.0~rc3-1) experimental; urgency=low

  * Imported Upstream version 1.3.0~rc3
  * Fix spurious warning in AC_LANG_PROGRAM (caused by libtool)
  * Update libdns-ruby -> ruby-dnsruby dependency
  * Update Vcs-* links
  * Remove $Id tags using sed magic in debian/rules
  * Trang was removed from upstream tarball; update the patch
  * Update patches to the new release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Jun 2011 12:32:07 +0200

opendnssec (1.3.0~rc2.dfsg-1) experimental; urgency=low

  * Imported Upstream version 1.3.0~rc2.dfsg
  * Remove $Id tags from conf files for smoother upgrades
  * Remove duplicated conffiles from opendnssec-enforcer-mysql
  * Remove extra jquery.js from doxygen generated documentation
  * Bump standards version to 3.9.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 May 2011 13:13:35 +0200

opendnssec (1.2.1.dfsg-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * Fix typos in package descriptions (Courtesy of Thijs Kinkhorst)
    (Closes: #603929)
  * Install README.Debian only to opendnssec-enforcer (Closes: #603933)
  * Conflicts with old packages no longer in archive
  * Install migration scripts for sqlite3 and mysql and add NEWS file
    about migration to opendnssec-enforcer (Closes: #612605)
  * Remove trang from build-depends because we are not using it
  * Use source:Version in any packages to enforce correct interpackage
    dependencies
  * Build doxygen html documentation and install it into respective
    packages
  * Add general README.Debian to all packages

 -- Ondřej Surý <ondrej@debian.org>  Sat, 19 Mar 2011 17:22:59 +0100

opendnssec (1.2.0-1) unstable; urgency=low

  * New upstream version
  * Packaging changes:
    + Updated patches to new upstream version.
    + Remove python dependencies (upstream change)
    + Update interpackage dependencies to 1.2.0 release
    + Remove obsolete opendnssec-signer-tools, libhsm0 and libhsm-dev
      packages.
    + Adjust mysql build for upstream changes

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Jan 2011 11:00:25 +0100
