=== debian/control ===
Source: opendnssec
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: quilt (>= 0.46-7~),
	       debhelper (>= 7.0.50~),
	       hardening-wrapper,
	       autotools-dev,
	       automake,
	       autoconf,
	       libtool,
	       ruby-dnsruby (>= 1.52~),
	       rubygems,
	       ruby-pkg-tools,
	       ruby1.8,
	       libopenssl-ruby,
	       libxml2-utils,
	       xsltproc,
	       libxml2-dev,
	       libmysqlclient-dev,
	       mysql-client,
	       libsqlite3-dev,
	       sqlite3,
	       libldns-dev (>= 1.6.9~),
	       libcunit1-dev,
	       opensc,
	       rdoc,
	       graphviz,
	       doxygen
Standards-Version: 3.9.2
Homepage: http://www.opendnssec.org/
Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/opendnssec.git
Vcs-Git: git://git.debian.org/pkg-nlnetlabs/opendnssec.git

Package: opendnssec-auditor
Section: admin
Architecture: all
Depends: ${misc:Depends},
	 ruby1.8,
	 ruby-dnssec (>= 1.52~),
	 libopenssl-ruby
Recommends: opendnssec-signer, opendnssec-enforcer
Suggests: opendnssec, softhsm
Description: tool to audit DNS signed zones according to local policy
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 This package contains OpenDNSSEC Auditor, which is a tool to check
 whether a DNSSEC signed zone complies to a local policy.  It is issued
 automatically (unless disabled) after each resigning of a zone
 and will stop the signed zone file from being distributed if any
 error is found.

Package: opendnssec-common
Section: misc
Architecture: all
Depends: ${misc:Depends},
	 ucf,
	 adduser
Suggests: opendnssec, softhsm
Description: common configuration files for OpenDNSSEC suite
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 This package contains common configuration files and creates default
 user, group and opendnssec directories.

Package: opendnssec
Section: misc
Architecture: all
Depends: ${misc:Depends},
	 opendnssec-enforcer-sqlite3 | opendnssec-enforcer,
	 opendnssec-signer,
	 libhsm-bin
Recommends: opendnssec-auditor
Suggests: softhsm
Description: dependency package to install full OpenDNSSEC suite
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 This meta-package depends on the standard distribution of OpenDNSSEC.

Package: opendnssec-enforcer
Section: admin
Architecture: all
Depends: ${misc:Depends},
	 opendnssec-enforcer-backend
Recommends: opendnssec-signer, opendnssec-auditor
Suggests: opendnssec, softhsm
Description: tool to prepare DNSSEC keys (common package)
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 OpenDNSSEC Enforcer, which is a tool to make sure that there are
 enough keys for all of the zones, and take the policy and key
 information from the KASP database and turn it into an xml file that
 the signer can use.
 .
 The package contains OpenDNSSEC Enforcer documentation, manpages and
 it depends on either sqlite3 or mysql backend package with binaries.

Package: opendnssec-enforcer-mysql
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	 opendnssec-common (= ${source:Version}),
	 mysql-client,
	 opendnssec-enforcer,
	 libdbd-mysql-perl
Provides: opendnssec-enforcer-backend
Conflicts: opendnssec-enforcer-backend
Replaces: opendnssec-enforcer-backend
Suggests: opendnssec, softhsm
Description: tool to prepare DNSSEC keys (mysql backend)
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 OpenDNSSEC Enforcer, which is a tool to make sure that there are
 enough keys for all of the zones, and take the policy and key
 information from the KASP database and turn it into an xml file that
 the signer can use.
 .
 The package contains OpenDNSSEC Enforcer binaries with mysql backend.

Package: opendnssec-enforcer-sqlite3
Section: admin
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 opendnssec-common (= ${source:Version}),
	 sqlite3,
	 opendnssec-enforcer,
	 libdbd-sqlite3-perl
Provides: opendnssec-enforcer-backend
Conflicts: opendnssec-enforcer-backend
Replaces: opendnssec-enforcer-backend
Suggests: opendnssec, softhsm
Description: tool to prepare DNSSEC keys (sqlite3 backend)
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 OpenDNSSEC Enforcer, which is a tool to make sure that there are
 enough keys for all of the zones, and take the policy and key
 information from the KASP database and turn it into an xml file that
 the signer can use.
 .
 The package contains OpenDNSSEC Enforcer binaries with sqlite3 backend.

Package: opendnssec-signer
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 opendnssec-common (= ${source:Version}),
	 libldns1 (>= 1.6.9~)
Recommends: opendnssec-auditor, opendnssec-enforcer
Suggests: opendnssec, softhsm
Conflicts: opendnssec-signer-tools (<< 1.2.0~)
Description: daemon to sign DNS zone files periodically
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 This package contains the OpenDNSSEC Signer Engine.  The task of the
 signer engine is to schedule signing operation on DNS zones.  Taking
 input from the KASP, it will automatically sign zones and keep their
 signatures up-to-date.

Package: libhsm-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 opendnssec-common (= ${source:Version})
Conflicts: libhsm-dev, libhsm0
Suggests: opendnssec, softhsm
Description: library for interfacing PKCS#11 Hardware Security Modules
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 Support library for interfacing PKCS#11 compatible Hardware Security
 Modules (HSM).  This library allows programs to use cryptografic
 secure storages for keying material such as softhsm (HSM implemented
 in software), SCA6000, Aladdin eToken, OpenSC, nCipher or AEP Keyper.
 .
 This package contains command line tools.
