## opendnssec 1.3.2

=== debian/changelog ===
opendnssec (1.3.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Oct 2011 14:08:46 +0100

opendnssec (1.3.2-1) unstable; urgency=low

  * Imported Upstream version 1.3.2
  * Refresh patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Sep 2011 14:28:33 +0200

opendnssec (1.3.0-2) unstable; urgency=low

  * Depend on ruby-dnsruby and not ruby-dnssec (Closes: #639595)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 28 Aug 2011 15:34:24 +0200
