=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: opendnssec
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
 	       hardening-wrapper,
@@ -38,7 +38,7 @@
 Architecture: all
 Depends: ${misc:Depends},
 	 ruby1.8,
-	 ruby-dnssec (>= 1.52~),
+	 ruby-dnsruby (>= 1.52~),
 	 libopenssl-ruby
 Recommends: opendnssec-signer, opendnssec-enforcer
 Suggests: opendnssec, softhsm
