## opendnssec 1.3.4

=== debian/changelog ===
opendnssec (1.3.4-1ubuntu1) precise; urgency=low

  * Add Pre-Depends: dpkg (>= 1.15.7.2~) to opendnssec-enforcer-mysql for
    dpkg-maintscript-helper.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 18:26:42 +0000

opendnssec (1.3.4-1) unstable; urgency=low

  * Imported Upstream version 1.3.4

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2011 15:11:16 +0100
