## opendnssec 1.3.5

=== debian/changelog ===
opendnssec (1.3.5-1) unstable; urgency=low

  * Imported Upstream version 1.3.5 (Closes: #657639)
  * Bump required ldns version to 1.6.12

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jan 2012 12:54:20 +0100
