=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opendnssec
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
 	       hardening-wrapper,
@@ -22,7 +21,7 @@
 	       mysql-client,
 	       libsqlite3-dev,
 	       sqlite3,
-	       libldns-dev (>= 1.6.9~),
+	       libldns-dev (>= 1.6.12~),
 	       libcunit1-dev,
 	       opensc,
 	       rdoc,
@@ -111,7 +110,6 @@
 Package: opendnssec-enforcer-mysql
 Section: admin
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2~)
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
 	 mysql-client,
@@ -165,7 +163,7 @@
 Depends: ${shlibs:Depends},
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
-	 libldns1 (>= 1.6.9~)
+	 libldns1 (>= 1.6.12~)
 Recommends: opendnssec-auditor, opendnssec-enforcer
 Suggests: opendnssec, softhsm
 Conflicts: opendnssec-signer-tools (<< 1.2.0~)
