## opendnssec 1.3.6

=== debian/changelog ===
opendnssec (1.3.6-1) unstable; urgency=low

  * Depends on dpkg (>= 1.15.7.2~) or dpkg-maintscript-helper (which I
    will maintain in my repositories for Ubuntu Lucid) (Closes: #659788)
  * Imported Upstream version 1.3.6

 -- Ondřej Surý <ondrej@debian.org>  Fri, 17 Feb 2012 16:40:13 +0100
