## opendnssec 1.3.9

=== debian/changelog ===
opendnssec (1:1.3.9-5) unstable; urgency=low

  * Add procps to build dependencies, so ods-ksmutil can HUP enforcer
    (Closes: #701703)
  * Create arch:all new opendnssec-doc package and move the doxygen
    documentation there
  * Split dh_auto_build to arch and indep, so doxygen documentation is
    built only once
  * Run dh_installdoc on opendnssec-doc too, so it gets it's own copyright

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Mar 2013 14:52:33 +0100

opendnssec (1:1.3.9-4) unstable; urgency=low

  * Move the information about dropping the foreign key to README.Debian

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Jan 2013 10:30:10 +0100

opendnssec (1:1.3.9-3) unstable; urgency=low

  * Pull couple of critical upstream fixes:
    + OPENDNSSEC-303: for ods-ksmutil update zonelist will delete all
      zones if unable to open/parse zonelist.xml
    + OPENDNSSEC-282: RRSIGs are left in the signed zone when
      authoritative RRsets become glue.
    + OPENDNSSEC-338: ods-ksmutil zone delete --all does not work

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Nov 2012 14:26:11 +0100

opendnssec (1:1.3.9-2) unstable; urgency=low

  * Replace documentation directory with symlink. (Courtesy of Salvatore
    Bonaccorso) (Closes: #687885)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Sep 2012 09:27:26 +0200

opendnssec (1:1.3.9-1) unstable; urgency=low

  * Imported Upstream version 1.3.9
  * Delete use_system_trang.patch as we don't rebuild rng files anymore

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 11:24:55 +0200

opendnssec (1:1.3.8-1) unstable; urgency=low

  * Imported Upstream version 1.3.8
  * Update patches for a new release
  * Bump an epoch (1.4.0 is not going to be stable before wheezy
    is frozen, so we are reverting back to 1.3.x branch)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 May 2012 09:51:06 +0200

opendnssec (1.4.0~a1-2) unstable; urgency=low

  * Remove zonefetch.xml and add addns.xml configfile (Closes: #668703)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Apr 2012 15:25:18 +0200

opendnssec (1.4.0~a1-1) unstable; urgency=low

  * Add NEWS about removal of OpenDNSSEC Auditor
  * Add Conflicts/Replaces: opendnssec-auditor to opendnssec-common to
    ensure clear removal of opendnssec-auditor from the system
  * Update debian/{control,rules} to 1.4.0~a1 release
  * Update patches for 1.4.0~a1 release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Apr 2012 12:19:27 +0200
