=== debian/control ===
--- 
+++ 
@@ -24,9 +24,10 @@
 	       libldns-dev (>= 1.6.12~),
 	       libcunit1-dev,
 	       opensc,
-	       rdoc,
-	       graphviz,
-	       doxygen
+	       procps
+Build-Depends-Indep: rdoc,
+	       	     graphviz,
+	       	     doxygen
 Standards-Version: 3.9.2
 Homepage: http://www.opendnssec.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/opendnssec.git
@@ -75,6 +76,7 @@
 Depends: ${misc:Depends},
 	 opendnssec-enforcer-sqlite3 | opendnssec-enforcer,
 	 opendnssec-signer,
+	 opendnssec-doc,
 	 libhsm-bin
 Recommends: opendnssec-auditor
 Suggests: softhsm
@@ -86,11 +88,27 @@
  .
  This meta-package depends on the standard distribution of OpenDNSSEC.
 
+Package: opendnssec-doc
+Section: misc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: opendnssec, softhsm
+Replaces: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
+Breaks: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
+Description: documentation for OpenDNSSEC suite
+ OpenDNSSEC is a complete DNSSEC zone signing system which is very
+ easy to use with stability and security in mind.  There are a lot of
+ details in signing zone files with DNSSEC and OpenDNSSEC covers most
+ of it.
+ .
+ This package contains doxygen documentation for OpenDNSSEC.
+
 Package: opendnssec-enforcer
 Section: admin
 Architecture: all
 Depends: ${misc:Depends},
-	 opendnssec-enforcer-backend
+	 opendnssec-enforcer-backend,
+	 procps
 Recommends: opendnssec-signer, opendnssec-auditor
 Suggests: opendnssec, softhsm
 Description: tool to prepare DNSSEC keys (common package)
